> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 評価を再スコアリング

> 既存の評価 run を別の Scorer で再スコアリングします。

指定した Scorer を source_evaluation_run_id の予測に適用し、新しい evaluation_run_id を返します。元の prediction call ID は保持されます。



## OpenAPI

````yaml /ja/weave/reference/service-api/openapi.json post /evaluations/rescore
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /evaluations/rescore:
    post:
      tags:
        - Evaluations
      summary: 評価を再スコアリング
      description: >-
        既存の評価 run を別の Scorer で再スコアリングします。


        指定した Scorer を source_evaluation_run_id の予測に適用し、新しい evaluation_run_id
        を返します。元の prediction call ID は保持されます。
      operationId: rescore_evaluation_evaluations_rescore_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RescoreReq'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RescoreRes'
          description: 成功レスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
components:
  schemas:
    RescoreReq:
      description: サーバー設定のフィールドを含む完全な再スコアリクエストです。
      properties:
        project_id:
          title: Project Id
          type: string
        scorer_refs:
          description: 適用する Scorer 参照（weave:// URI）です。空にはできません
          items:
            type: string
          minItems: 1
          title: Scorer Refs
          type: array
        source_evaluation_run_id:
          description: 予測が再スコアされる評価 run です
          title: Source Evaluation Run Id
          type: string
        wb_user_id:
          anyOf:
            - type: string
            - type: 'null'
          description: 直接設定しないでください。サーバーがこのフィールドを自動的に設定します。
          title: Wb User Id
      required:
        - source_evaluation_run_id
        - scorer_refs
        - project_id
      title: RescoreReq
      type: object
    RescoreRes:
      description: 再スコアリクエストへのレスポンスです。
      properties:
        call_id:
          description: '`/evaluations/status` をポーリングするための Call ID です'
          title: Call Id
          type: string
        evaluation_run_id:
          description: 新しく作成された EvaluationRun ID です
          title: Evaluation Run Id
          type: string
      required:
        - call_id
        - evaluation_run_id
      title: RescoreRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````